Digest::SHA1 -

# class Digest::SHA1

- Digest::SHA1
- Digest::Base
- Reference
- Object

## Overview

Implements the SHA1 digest algorithm.

Warning: SHA1 is no longer a cryptographically secure hash, and should not be used in security-related components, like password hashing. For passwords, see `Crypto::Bcrypt::Password`. For a generic cryptographic hash, use SHA-256 via `OpenSSL::Digest.new("SHA256")`.

## Defined in:

## Constructors

- .new

## Instance Method Summary

- #circular_shift(bits, word)
- #final
- #pad_message
- #process_message_block
- #result
- #update(data)

### Class methods inherited from class `Digest::Base`

base64digest(data) : String
base64digest(&block) : String base64digest, digest(data)
digest(&block) digest, hexdigest(data) : String
hexdigest(&block) : String hexdigest

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference)
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, class class, dup dup, hash(hasher)
hash hash, inspect(io : IO) : Nil
inspect : String inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&block) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s : String
to_s(io : IO) : Nil to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&block) try, unsafe_as(type : T.class) forall T unsafe_as

### Constructor methods inherited from class `Object`

from_json(string_or_io, root : String) : self
from_json(string_or_io) : self from_json, from_yaml(string_or_io : String | IO) : self from_yaml

## Constructor Detail

def self.new #

## Instance Method Detail

def circular_shift(bits, word) #
def final #
def pad_message #
def process_message_block #
def result #
def update(data) #